
Smart Proxy - Bug #6557

Puppet module needs debug logging

07/09/2014 05:10 PM - Simon Mügge

Status: New   

Priority: Normal   

Assignee:    

Category: Puppet   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I set the loglevel in a smartproxy that only does "puppet" to "debug", and the logfile output did not display anything other than the

normal INFOrmational messages during a puppet class import run.

I presume this is a bug, and that there should actually be some debug logs along the lines of "parsing class X in puppetenv Y" or

something as a result of setting the loglevel to debug?

History

#1 - 07/10/2014 03:08 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Subject changed from foreman-proxy ignores loglevel setting to Puppet module needs debug logging

- Category changed from Smart Proxy to Puppet

It's simply that the Puppet module in the proxy hasn't got a single line of debug, though it indeed should!

#2 - 12/03/2014 11:59 PM - enzo wang

I met the same bug at foreman-proxy version 1.7.0.

No useful lines even I set it to DEBUG.

The only lines can be observed are like:

W, [2014-12-04T04:50:48.443303 #27687]  WARN -- : Couldn't find settings file /etc/foreman-proxy/settings.d/foreman_proxy.yml. Using default

settings.

I, [2014-12-04T04:50:48.443532 #27687]  INFO -- : 'foreman_proxy' settings were initialized with default values: :enabled: true

I, [2014-12-04T04:50:48.447816 #27687]  INFO -- : 'facts' module is disabled.

I, [2014-12-04T04:50:48.448709 #27687]  INFO -- : 'dns' settings were initialized with default values: :dns_provider: nsupdate

I, [2014-12-04T04:50:48.452683 #27687]  INFO -- : 'templates' module is disabled.

I, [2014-12-04T04:50:48.457786 #27687]  INFO -- : 'dhcp' settings were initialized with default values: :dhcp_provider: isc

I, [2014-12-04T04:50:48.943768 #27687]  INFO -- : 'puppet' settings were initialized with default values: :puppet_provider: puppetrun, :puppetdir:

/etc/puppet

I, [2014-12-04T04:50:48.948273 #27687]  INFO -- : 'bmc' module is disabled.

I, [2014-12-04T04:50:48.949246 #27687]  INFO -- : 'realm' module is disabled.
